/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.121 Revision 1.181
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.121 2010/07/15 11:19:50 hwoarang Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.181 2012/05/16 01:55:01 floppym Exp $
4
5 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
6 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
7 Restrict python 3.1 to match dev-python/dbus-python.
8
9 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
10 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
11
12 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
13 Migrating dev-util/pkgconfig -> virtual/pkgconfig
14
15 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
16 Stable for amd64, wrt bug #412929
17
18 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
19 Stable on alpha, bug #354033
20
21 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
22 PyQt4-4.8.4.ebuild:
23 PyQt4-4.8 does not build with sip-4.13, bug 407291
24
25 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
26 Slightly improve the ewarn message in pkg_postinst().
27
28 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
29 Put qt as the primary herd in metadata.
30
31 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
32 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
33 <slong@rathaus.eclipse.co.uk> in bug #407281.
34
35 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
36 Switch to EAPI 4, add REQUIRED_USE.
37
38 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
39 PyQt4-4.8.4.ebuild:
40 Drop ~x86-fbsd because of unkeyworded dependencies.
41
42 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
43 Don't enable QtAssistant module because it was removed in qt-4.7 and we
44 already depend on 4.7.2 or later.
45
46 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
47 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
48 Restrict pypy for older versions too.
49
50 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
51 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
52 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
53 version.
54
55 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
56 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
57 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
58 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
59 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
60 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
61
62 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
63 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
64 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
65 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
66 Fixing pypy restricts to actually work
67
68*PyQt4-4.9.1 (12 Feb 2012)
69
70 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
71 version bump
72
73 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
74 builds with qt-opengl-4.8.0[egl], updated dep
75
76 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
77 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
78 Fixes backported from Progress Overlay. Patch by Arfrever.
79
80*PyQt4-4.9 (24 Dec 2011)
81
82 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
83 Version bump
84
85*PyQt4-4.8.6 (11 Nov 2011)
86
87 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
88 Version bump
89
90 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
91 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
92 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
93 python overlay.
94
95*PyQt4-4.8.5 (19 Aug 2011)
96
97 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
98 Version bump
99
100 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
101 ppc/ppc64 stable wrt #374591
102
103 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
104 x86 stable, bug #374591
105
106 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
107 ppc64 stable wrt #354033
108
109 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
110 Stable on amd64 wrt bug #374591
111
112 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
113 Marking PyQt4-4.8.3 ppc stable for bug 354033
114
115 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
116 Stable on amd64 wrt bug #354033
117
118 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
119 x86 stable per bug 354033
120
121*PyQt4-4.8.4 (02 May 2011)
122
123 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
124 +PyQt4-4.8.4.ebuild:
125 Version bump.
126
127 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
128 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
129 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
130 Adapt phonon dependency for package move
131
132 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
133 ppc64 stable wrt #349607
134
135 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
136 ia64/sparc stable wrt #349607
137
138 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
139 Stable on alpha, bug #349607
140
141 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
142 PyQt4-4.8.3.ebuild:
143 Update dependencies (bug #353053).
144
145*PyQt4-4.8.3 (25 Jan 2011)
146
147 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
148 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
149 Version bump.
150
151 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
152 x86 stable wrt bug #349607
153
154 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
155 Marking PyQt4-4.8.1 ppc stable for bug 349607
156
157 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
158 Stable on amd64 wrt bug #349607
159
160 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
161 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
162 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
163
164*PyQt4-4.8.1-r1 (30 Dec 2010)
165
166 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
167 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
168 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
169
170 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
171 PyQt4-4.8.2.ebuild:
172 Fix dependencies (bug #349672).
173
174*PyQt4-4.8.2 (24 Dec 2010)
175
176 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
177 +PyQt4-4.8.2.ebuild:
178 Version bump.
179
180 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
181 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
182 Restrict Jython ABIs.
183
184 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
185 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
186 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
187 -files/configure.py.patch:
188 Delete.
189
190 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
191 old, depends on qt 4.5
192
193 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
194 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
195 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
196 Remove HPPA keywording (bug #239441).
197
198*PyQt4-4.8.1 (30 Oct 2010)
199
200 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
201 +PyQt4-4.8.1.ebuild:
202 Version bump.
203
204 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
205 ia64/sparc stable wrt #315775
206
207*PyQt4-4.8 (23 Oct 2010)
208
209 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
210 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
211 +PyQt4-4.8.ebuild, metadata.xml:
212 Version bump.
213
214*PyQt4-4.7.7-r1 (06 Oct 2010)
215
216 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
217 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
218 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
219
220*PyQt4-4.7.7 (21 Sep 2010)
221
222 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
223 +PyQt4-4.7.7.ebuild:
224 Version bump. Remove old bogus version
225
226 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
227 Stable on alpha, bug #315775
228
229 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
230 Marked ppc stable for bug #315775.
231
232 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
233 PyQt4-4.7.6.ebuild:
234 Update EAPI. Fix dependencies.
235
236*PyQt4-4.7.6 (08 Sep 2010)
237
238 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
239 +PyQt4-4.7.6.ebuild:
240 Version bump. Remove old ebuild
241
242 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
243 PyQt4-4.7.5.ebuild:
244 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
245
246*PyQt4-4.7.5 (01 Sep 2010)
247
248 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
249 +PyQt4-4.7.5.ebuild:
250 Version bump
251
252 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
253 Stable for HPPA (bug #315775).
4 254
5 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild: 255 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
6 Bump sip dependency to 4.10.3. Fix arm epatch command 256 Bump sip dependency to 4.10.3. Fix arm epatch command
7 257
8*PyQt4-4.7.4 (13 Jul 2010) 258*PyQt4-4.7.4 (13 Jul 2010)

Legend:
Removed from v.1.121  
changed lines
  Added in v.1.181

  ViewVC Help
Powered by ViewVC 1.1.20